---
title: "Multiple Phone Number Change Request"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/updatePhone2"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Multiple Phone Number Change Request

`PUT` `/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/phones`

Operation ID: `updatePhone2`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required) - Policy Number
- `partyId` (string, required) - PartyId for which address need to be updated it be avaible under SOR Policy Details

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `400` - Rules and Transaction Failure
- `500` - Unexpected error occured, please check server logs

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/phones:
    put:
      tags:
        - Non Financial Transactions
      summary: Multiple Phone Number Change Request
      operationId: updatePhone2
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
          description: Policy Number
        - name: partyId
          in: path
          required: true
          schema:
            type: string
          description: PartyId for which address need to be updated it be avaible under
            SOR Policy Details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/MultiplePhoneChangeRequest"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "400":
          description: Rules and Transaction Failure
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Unexpected error occured, please check server logs
      security:
        - Auth0: []
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
security:
  - Auth0: []
components:
  schemas:
    MultiplePhoneChangeRequest:
      type: object
      properties:
        correlationId:
          type: string
          example: 91f72a12-db2d-4254-93a8-e4c9c6c98588
          description: The unique ID to track transaction request across all systems
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
        effectiveDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        phones:
          type: array
          items:
            $ref: "#/components/schemas/MultiplePhone"
      required:
        - effectiveDate
        - phones
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    MultiplePhone:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd").If provided by the user, the
            system will apply an end date to the phone number, ensuring that a
            new phone number is not generated.
        phoneType:
          type: string
          enum:
            - MOBILE
            - HOME
            - BUSINESS
            - CLAIMCENTER
            - CUSTOMERSERVICE
            - CORPORATEOFFICE
            - FAX
            - OTHER
          description: Phone type
          example: MOBILE
        countryCode:
          $ref: "#/components/schemas/CountryCallingCodes"
        areaCode:
          type: string
          description: Area code
          example: "785"
        dialNumber:
          type: string
          example: 32653, 9134561234
          description: Dial number
        extension:
          type: string
          description: Extension
          example: "1234"
        bestTime:
          type: string
          description: Best time
          example: Morning
        timezone:
          type: string
          description: Timezone for the entered phone details
          example: EST
        preferredPhoneIndicator:
          type: boolean
          example: true
          description: Preferred email indicator
      required:
        - startDate
        - phoneType
        - countryCode
        - dialNumber
        - preferredPhoneIndicator
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
    CountryCallingCodes:
      type: string
      description: ISO Country calling Code
        https://en.wikipedia.org/wiki/List_of_telephone_country_codes
      example: "1"
      enum:
        - "1"
        - "93"
        - "355"
        - "213"
        - 1-684
        - "376"
        - "244"
        - 1-264
        - "672"
        - 1-268
        - "54"
        - "374"
        - "297"
        - "61"
        - "43"
        - "994"
        - 1-242
        - "973"
        - "880"
        - 1-246
        - "375"
        - "32"
        - "501"
        - "229"
        - 1-441
        - "975"
        - "591"
        - "387"
        - "267"
        - "55"
        - "246"
        - "673"
        - "359"
        - "226"
        - "257"
        - "855"
        - "237"
        - "238"
        - 1-345
        - "236"
        - "235"
        - "56"
        - "86"
        - "53"
        - "61"
        - "57"
        - "269"
        - "243"
        - "242"
        - "682"
        - "506"
        - "225"
        - "385"
        - "53"
        - "357"
        - "420"
        - "45"
        - "253"
        - 1-767
        - 1-809
        - 1-829
        - "670"
        - "593 "
        - "20"
        - "503"
        - "240"
        - "291"
        - "372"
        - "251"
        - "500"
        - "298"
        - "679"
        - "358"
        - "33"
        - "594"
        - "689"
        - "262"
        - "241"
        - "220"
        - "995"
        - "49"
        - "233"
        - "350"
        - "44"
        - "30"
        - "299"
        - 1-473
        - "590"
        - 1-671
        - "502"
        - "224"
        - "245"
        - "592"
        - "509"
        - "672"
        - "39"
        - "504"
        - "852"
        - "36"
        - "354"
        - "91"
        - "62"
        - "98"
        - "964"
        - "353"
        - "972"
        - "39"
        - 1-876
        - "81"
        - "962"
        - "7"
        - "254"
        - "686"
        - "850"
        - "82"
        - "965"
        - "996"
        - "856"
        - "371"
        - "961"
        - "266"
        - "231"
        - "218"
        - "423"
        - "370"
        - "352"
        - "853"
        - "389"
        - "261"
        - "265"
        - "60"
        - "960"
        - "223"
        - "356"
        - "692"
        - "596"
        - "222"
        - "230"
        - "269"
        - "52"
        - "691"
        - "373"
        - "377"
        - "976"
        - 1-664
        - "212"
        - "258"
        - "95"
        - "264"
        - "674"
        - "977"
        - "31"
        - "599"
        - "687"
        - "64"
        - "505"
        - "227"
        - "234"
        - "683"
        - "672"
        - 1-670
        - "47"
        - "968"
        - "92"
        - "680"
        - "970"
        - "507"
        - "675"
        - "595"
        - "51"
        - "63"
        - "64"
        - "48"
        - "351"
        - 1-787
        - 1-939
        - "974 "
        - "262"
        - "40"
        - "7"
        - "7"
        - "250"
        - "290"
        - 1-869
        - 1-758
        - "508"
        - 1-784
        - "685"
        - "378"
        - "239"
        - "966"
        - "381"
        - "221"
        - "248"
        - "232"
        - "65"
        - "421"
        - "386"
        - "677"
        - "252"
        - "27"
        - "500"
        - "34"
        - "94"
        - "249"
        - "597"
        - "47"
        - "268"
        - "46"
        - "41"
        - "963"
        - "886"
        - "992"
        - "255"
        - "66"
        - "228"
        - "690"
        - "676"
        - 1-868
        - "216"
        - "90"
        - "993"
        - 1-649
        - "688"
        - "256"
        - "380"
        - "971"
        - "44"
        - "1"
        - "246"
        - "598"
        - "998"
        - "678"
        - "418"
        - "58"
        - "84"
        - 1-284
        - 1-340
        - "681"
        - "212"
        - "967"
        - "243"
        - "260"
        - "263"
  examples:
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
